/* ICMP ping ID field detection plugin */

#ifndef __SP_ICMP_ID_H__
#define __SP_ICMP_ID_H__

#include "snort.h"

#define PLUGIN_ICMP_ID_CHECK  12

typedef struct _IcmpIdData
{
  u_short icmpid;

} IcmpIdData;

void IcmpIdCheckInit(char *, OptTreeNode *, int);
void SetupIcmpIdCheck();
void ParseIcmpId(char *, OptTreeNode *);
int IcmpIdCheck(Packet *, struct _OptTreeNode *, OptFpList *);

#endif  /* __SP_ICMP_ID_H__ */
